﻿using Esri.ArcGISRuntime.Geometry;
using Esri.ArcGISRuntime.Mapping;
using Microsoft.UI.Xaml;

namespace ArcGISApp1
{
    public sealed partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();

        }


        public MapViewModel ViewModel { get; } = new MapViewModel();

        private void SetViewPoint()
        {
            MapPoint mapCenterPoint = new MapPoint(11.273940726265899, 51.033297177247576, SpatialReferences.Wgs84);
            MainMapView.SetViewpoint(new Viewpoint(mapCenterPoint, 100000));
        }

  

        private void MainMapView_Loaded(object sender, RoutedEventArgs e)
        {
            SetViewPoint();
        }
    }
}
